Bug 109977 - kspread crashes / disappears at paper layout page
kspread crashes / disappears at paper layout page
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: koffice (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-13 11:43 EST by Mike
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-16 11:21:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug-buddy backtrace of crash (2.07 KB, text/plain)
2003-11-15 16:24 EST, Elton Woo
no flags Details

  None (edit)
Description Mike 2003-11-13 11:43:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
 
KSpread 1.2.1 (KDE 3.1.4-4 Red Hat) under Fedora upgraded from RH9

prompt>strace kspread

Start with any document ->
  OK ->
    Format ->
      Paper Layout -> 
        US Letter ->
        Landscape ->
          OK ->

Strace follows:

write(3, "8\0\4\0\251\6\240\2\0\0\10\0\0\0\0\0\233\5\5\0\202\6\240"..., 
2048) = 2048
write(3, "8\0\4\0\256\6\240\2\0\0\10\0\0\0\0\0008\5\4\0\251\6\240"..., 
2044) = 2044
ioctl(6, FIONREAD, [1])                 = 0
write(3, "C\0\5\0M\6\240\2\251\6\240\2P\0|\0v\0W\0008\6\4\0\256\6"..., 
812) = 812
gettimeofday({1068670376, 577154}, NULL) = 0
gettimeofday({1068670376, 578495}, NULL) = 0
gettimeofday({1068670376, 579179}, NULL) = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
rt_sigaction(SIGALRM, {SIG_DFL}, {SIG_DFL}, 8) = 0
alarm(3)                                = 0
close(10)                               = 0
getrlimit(RLIMIT_NOFILE, {rlim_cur=1024, rlim_max=1024}) = 0
close(0)                                = 0
close(1)                                = 0
close(2)                                = 0
close(3)                                = 0
close(4)                                = 0
close(5)                                = 0
close(6)                                = 0
close(7)                                = 0
close(8)                                = 0
close(9)                                = 0
close(10)                               = -1 EBADF (Bad file descriptor)
........
close(1020)                             = -1 EBADF (Bad file descriptor)
close(1021)                             = -1 EBADF (Bad file descriptor)
close(1022)                             = -1 EBADF (Bad file descriptor)
close(1023)                             = -1 EBADF (Bad file descriptor)
write(2, "KCrash: Application \'kspread\' cr"..., 42) = -1 EBADF (Bad 
file descriptor)
clone(child_stack=0, 
flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, 
child_tidptr=0xbf5b70c8) = 2789
alarm(0)                                = 3
waitpid(2789, NULL, 0)                  = 2789
--- SIGCHLD (Child exited) @ 0 (0) ---
write(9, "\0\0\0\0\0\0\0\0", 8)         = -1 EBADF (Bad file descriptor)
sigreturn()                             = ? (mask now [SEGV])
exit_group(253)

Version-Release number of selected component (if applicable):
koffice-1.2.1-15

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

prompt>strace kspread

Start with any document ->
  OK ->
    Format ->
      Paper Layout -> 
        US Letter ->
        Landscape ->
          OK ->  "blat" it crashes and disappears



Additional info:
Comment 1 Elton Woo 2003-11-15 16:24:06 EST
I just tested the same procedure, and the program did abend.
Comment 2 Elton Woo 2003-11-15 16:24:47 EST
Created attachment 96002 [details]
bug-buddy backtrace of crash
Comment 3 Thomas Gordon 2004-01-21 05:57:32 EST
I get the same type of strace from Quanta under gnome
Comment 4 Ngo Than 2006-01-16 11:21:34 EST
i assume it's fixed in new koffice-1.4.2. Please update to this version. Thanks
for your report

Note You need to log in before you can comment on or make changes to this bug.